Redmine - Feature #41321

Improve readability by refining font sizes and switching to Noto Sans font
Resolution: Fixed

Description

This patch improves the readability of Redmine’s default theme by increasing the base font size and switching the font from Verdana

to Noto Sans.

The current design of Redmine's default theme was introduced in version 0.6.0, released in 2007. At that time, displays with lower
resolutions such as 1024x768px or 1280x800px were common. The default theme's base font size was set at 12px, which is now too

small on current high-resolution displays, resulting in poor readability.

This patch addresses this issue by slightly increasing the font size, making the text easier to read on today’s displays. Additionally,
the font is changed from Verdana to Noto Sans, providing the theme with a more modern and clean appearance.

e Qverview page: overview-current@2x.png | overview-new@2x.png
® |ssue page: issue-current@2x.png | issue-new@2x.png
e Settings page: settings-current@2x.png | settings-new@2x.png

overview-new@2x.png

Related issues:

Related to Redmine - Patch #41569: Use custom properies to font-family
Related to Redmine - Feature #41748: Optimize font loading by replacing varia...
Related to Redmine - Feature #8318: Improve readability

Related to Redmine - Defect #42051: "Font used for text areas” setting causes...
Closed
Closed
Closed

2011-05-07

Associated revisions

Revision 23095 - 2024-10-01 04:33 - Go MAEDA
Add Noto Sans font (#41321).

Revision 23096 - 2024-10-01 04:42 - Go MAEDA

Improve readability by refining font sizes and switching to Noto Sans font (#41321).

Patch by Go MAEDA.

Revision 23097 - 2024-10-02 04:22 - Go MAEDA
Reduce badge font size to 0.6875rem (#41321).

Revision 23113 - 2024-10-11 06:59 - Go MAEDA
Update Wiki Syntax Help font to Noto Sans to match the new default theme (#41321).

Revision 23115 - 2024-10-11 09:50 - Go MAEDA
Update Code Highlighting Help font and font size to match the new default theme (#41321).

Revision 23116 - 2024-10-11 10:14 - Go MAEDA
Set line-height for body and code blocks in Wiki Syntax Help (#41321).

Revision 23130 - 2024-10-16 13:32 - Go MAEDA

Apply “proportional-nums’ for wiki text and “tabular-nums’ for “table.list™ (#41321).
https://www.redmine.org/attachments/32975
https://www.redmine.org/attachments/32976
https://www.redmine.org/attachments/32977
https://www.redmine.org/attachments/32978
https://www.redmine.org/attachments/32979
https://www.redmine.org/attachments/32980

Revision 23137 - 2024-10-17 05:11 - Go MAEDA

Remove Verdana and Trebuchet MS fonts in email notifications (#41321).

This change ensures consistency with the new default theme, which no longer uses these fonts.

Revision 23138 - 2024-10-17 05:46 - Go MAEDA

Replace Verdana with Noto Sans in responsive.css for consistency with the new default theme (#41321).

Revision 23139 - 2024-10-17 06:34 - Go MAEDA

Increase line-height to 1.5 in email notifications for better readability (#41321).

Revision 23140 - 2024-10-17 11:47 - Go MAEDA

Adjust line-height and margin for “div.wiki li" for better readability and spacing consistency (#41321).

Revision 23159 - 2024-10-24 06:24 - Go MAEDA

Introduce “--fonts-main™ CSS variable for easier customization of main fonts (#41321, #41569).

Patch by Takashi Kato (user:tohosaku).

History

#1 - 2024-09-30 05:05 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

| am setting the target version to 6.0.0.

| believe the refreshed appearance introduced by #23980 and #41298 will be further enhanced by the improved readability introduced by the patch.

#2 - 2024-10-01 04:48 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches in r23095 and r23096.

The font-size for body has increased from 0.75rem (12px) to 0.875rem (14px) and the font has changed from Verdana from Noto Sans.

#3 - 2024-10-07 11:07 - Go MAEDA

- Status changed from Resolved to Closed

#4 - 2024-10-24 06:17 - Go MAEDA
- Related to Patch #41569: Use custom properies to font-family added

#5 - 2024-11-14 05:38 - Go MAEDA
- Related to Feature #41748: Optimize font loading by replacing variable fonts with specific weights for Noto Sans added

#6 - 2024-11-15 09:09 - Go MAEDA
- Related to Feature #8318: Improve readability added

#7 - 2024-12-27 06:34 - Go MAEDA

- Related to Defect #42051: "Font used for text areas" setting causes inconsistent font size added
